package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.file.entity.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 下游销售单据
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_sales_documents_info")
public class SalesDocumentsInfo  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * 国央企名称
     */
    @TableField("name")
    private String name;

    @TableField(exist = false)
    private List<Long> files;

    @TableField(exist = false)
    private List<FileStorageDO> fileStorages;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<Long> getFiles() {
        return files;
    }

    public void setFiles(List<Long> files) {
        this.files = files;
    }

    public List<FileStorageDO> getFileStorages() {
        return fileStorages;
    }

    public void setFileStorages(List<FileStorageDO> fileStorages) {
        this.fileStorages = fileStorages;
    }

    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "CSalesDocumentsInfo{" +
            "cEnterpriseId=" + cEnterpriseId +
            ", name=" + name +
        "}";
    }
}
